"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serverError = exports.clientError = void 0;
const _1 = require(".");
const constants_1 = require("../../commons/constants");
const uuid_1 = require("uuid");
exports.clientError = (err, res, next) => {
    if (err instanceof _1.HTTPClientError) {
        const { id, status, message, errors } = err;
        res.status(status).send({
            id,
            message,
            errors,
        });
    }
    else {
        next(err);
    }
};
exports.serverError = (err, res, next) => {
    const errorId = uuid_1.v1();
    if (process.env.NODE_ENV === constants_1.Environment.Production) {
        res.status(constants_1.HttpStatusCode.InternalServerError).send({
            id: errorId,
            message: constants_1.ErrorDescription.InternalServerError,
        });
    }
    else {
        res.status(constants_1.HttpStatusCode.InternalServerError).send({
            id: errorId,
            message: err.stack,
        });
    }
};
//# sourceMappingURL=ErrorHandler.js.map