"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createMapper = void 0;
exports.createMapper = (mapperConfig) => {
    const find = (key) => {
        return mapperConfig[key];
    };
    const findByProperty = (key, property, value) => {
        const mappings = find(key);
        const hasValue = (property, value) => {
            return property === value;
        };
        const mapping = mappings.find((x) => hasValue(x[property], value));
        if (!mapping)
            return { label: '', value: null };
        return mapping;
    };
    return {
        mapToLabel: (key, value) => {
            return findByProperty(key, 'value', value).label;
        },
        mapToValue: (key, value) => {
            return findByProperty(key, 'label', value).value;
        },
    };
};
//# sourceMappingURL=mapper.js.map