"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.startServer = void 0;
const express_1 = __importDefault(require("express"));
require("express-async-errors");
const util_1 = require("./util");
const middlewares_1 = __importDefault(require("../../middlewares"));
const errorHandlers_1 = __importDefault(require("../../middlewares/errorHandlers"));
const app = express_1.default();
exports.startServer = (routes, customizablesMiddlewares, applyCommonsMiddlewares = true, applyCommonsErrors = true) => {
    if (applyCommonsMiddlewares)
        util_1.applyMiddleware(middlewares_1.default, app);
    if (customizablesMiddlewares)
        util_1.applyMiddleware(customizablesMiddlewares, app);
    util_1.applyRoutes(routes, app);
    if (applyCommonsErrors)
        util_1.applyMiddleware(errorHandlers_1.default, app);
    return app;
};
//# sourceMappingURL=express.js.map