"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.validateJsonSchema = void 0;
const ajv_1 = __importDefault(require("ajv"));
const toBaseError = ({ keyword, message, dataPath, }) => {
    const property = dataPath.replace('.', '');
    const code = `${property}.${keyword}`;
    const detail = `${property} ${message}`;
    return {
        code,
        detail,
    };
};
exports.validateJsonSchema = (schema, data) => {
    const validator = new ajv_1.default({ allErrors: true, errorDataPath: 'property' });
    const isValid = validator.validate(schema, data);
    if (!isValid && validator.errors) {
        return validator.errors.map((x) => toBaseError(x));
    }
    return [];
};
//# sourceMappingURL=index.js.map